Skip to main content
GET
/
1
/
transformations
/
{transformationID}
curl
curl --request GET \
  --url https://data.us.algolia.com/1/transformations/6c02aeb1-775e-418e-870b-1faccd4b2c0f \
  --header 'accept: application/json' \
  --header 'x-algolia-api-key: ALGOLIA_API_KEY' \
  --header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'
{
  "transformationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
  "code": "<string>",
  "name": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "authenticationIDs": [
    "6c02aeb1-775e-418e-870b-1faccd4b2c0f"
  ],
  "type": "code",
  "input": {
    "code": "<string>"
  },
  "description": "<string>",
  "owner": "<string>"
}
Required ACL: addObject, deleteIndex, editSettings

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Path Parameters

transformationID
string
required

Unique identifier of a transformation. Universally unique identifier (UUID) of a transformation.

Example:

"6c02aeb1-775e-418e-870b-1faccd4b2c0f"

Response

OK

transformationID
string
required

Universally unique identifier (UUID) of a transformation.

Example:

"6c02aeb1-775e-418e-870b-1faccd4b2c0f"

code
string
required
deprecated

It is deprecated. Use the input field with proper type instead to specify the transformation code.

name
string
required

The uniquely identified name of your transformation.

createdAt
string
required

Date and time when the resource was created, in RFC 3339 format.

updatedAt
string
required

Date and time when the resource was last updated, in RFC 3339 format.

authenticationIDs
string[]

The authentications associated with the current transformation.

Universally unique identifier (UUID) of an authentication resource.

type
enum<string>

The type of transformation, which can be either 'code' or 'noCode'.

Available options:
code,
noCode
input
Code · object

The input for the transformation, which can be either code or a no-code configuration.

description
string

A descriptive name for your transformation of what it does.

owner
string | null

Owner of the resource.

Last modified on January 28, 2026